nodes['home.paperless'] = {
    'hostname': '172.19.138.29',
    'bundles': {
        'nfs-client',
        'nodejs',
        'redis',
        'postgresql',
        'paperless-ng',
    },
    'groups': {
        'debian-buster',
        'webserver',
    },
    'metadata': {
        'interfaces': {
            'enp1s0': {
                'ips': {
                    '172.19.138.29/24',
                },
                'gateway4': '172.19.138.1',
                'ipv6_accept_ra': True,
            },
        },
        'nfs-client': {
            'mounts': {
                'nas_paperless': {
                    'mountpoint': '/mnt/paperless',
                    'serverpath': '172.19.138.20:/srv/paperless',
                    'mount_options': {
                        'retry=0',
                        'rw',
                    },
                },
            },
        },
        'nginx': {
            'vhosts': {
                'paperless': {
                    'domain': 'paperless.home.kunbox.net',
                    'ssl': '_.home.kunbox.net',
                    'locations': {
                        '/': {
                            'target': 'http://127.0.0.1:22070',
                            'websockets': True,
                            'proxy_set_header': {
                                'X-Forwarded-Host': '$server_name',
                            },
                        },
                        '/static/': {
                            'alias': '/opt/paperless/static/',
                        },
                    },
                    'max_body_size': '100M',
                },
            },
        },
        'paperless': {
            'version': 'ng-1.4.4',
            'timezone': 'Europe/Berlin',
        },
        'vm': {
            'cpu': 2,
            'ram': 2,
        },
    },
}
