nodes['home.rechenmonster'] = {
    'bundles': {
        'nfs-server',
        'smartd',
        'systemd',
        'systemd-networkd',
        'systemd-timers',
        'zfs',
    },
    'metadata': {
        'interfaces': {
            'br0': {
                'ips': {
                    '172.19.138.98',
                },
                'ipv6_accept_ra': True,
            },
        },
        'icinga_options': {
            'exclude_from_monitoring': True,
        },
        'systemd-networkd': {
            'bonds': {
                'bond0': {
                    'match': {
                        'enp5*',
                    },
                },
            },
            'bridges': {
                'br0': {
                    'match': {
                        'bond0',
                    },
                },
            },
        },
        'nfs-server': {
            'shares': {
                '/video': {
                    '172.19.138.0/24': 'ro,all_squash,anonuid=65534,anongid=65534,no_subtree_check',
                },
            },
        },
        'smartd': {
            'disks': {
                '/dev/disk/by-id/wwn-0x50025385a01e0795',
            },
        },
        'zfs': {
            'module_options': {
                'zfs_arc_max_gb': 16,
            },
            'pools': {
                'storage': {
                    'when_creating': {
                        'config': [
                            {
                                'type': 'raidz2',
                                'devices': {
                                    '/dev/disk/by-id/scsi-35000c50057a2d787', # a
                                    '/dev/disk/by-id/scsi-35000c500579053bf', # b
                                    '/dev/disk/by-id/scsi-35000c5005796c697', # c
                                    '/dev/disk/by-id/scsi-35000c50057a1c55b', # d
                                    '/dev/disk/by-id/scsi-35000c5005781a2e7', #e 
                                    '/dev/disk/by-id/scsi-35000c5005795ce2b', #f
                                    '/dev/disk/by-id/scsi-35000c50057a12fa3', #g
                                    '/dev/disk/by-id/scsi-35000c50057a19aa3', #h
                                },
                            },
                        ],
                        'ashift': 12,
                    },
                },
            },
            'datasets': {
                'storage/video': {
                    'mountpoint': '/video',
                },
            },
        },
    },
}
